package NFP.Algorithms;

import java.util.List;

import seg.jUCMNav.nfp.generated.*;

public class AggregateReputation {
	
	private List<Reputation> Reputations;
	private Reputation aggregatedReputation;
	
	public Reputation getAggregateReputation(List<Reputation> Reputations){
		this.Reputations=Reputations;
		initialize();
		for(Reputation rep : this.Reputations){
			aggregatedReputation.setReputationLevel(
					Math.min(aggregatedReputation.getReputationLevel(), rep.getReputationLevel()));
		}
			
		return aggregatedReputation;
	}

	private void initialize() {
		aggregatedReputation = new Reputation();
		aggregatedReputation.setReputationLevel(5);
		
	}
}
