package NFP.Algorithms;

import java.util.List;

import seg.jUCMNav.nfp.generated.*;

public class AggregateScalability {
	private List<Scalability> Scalabilities;
	private Scalability aggregatedScalability;
	
	public Scalability getAggregateScalability(List<Scalability> Scalabilities){
		this.Scalabilities=Scalabilities;
		initialize();
		for (Scalability Sca : this.Scalabilities) {
			aggregatedScalability.setScaleTo
			(Math.min(aggregatedScalability.getScaleTo(),Sca.getScaleTo()));
		}
		return aggregatedScalability;
	}

	private void initialize() {
		aggregatedScalability= new Scalability();
		aggregatedScalability.setScaleTo(Scalabilities.get(0).getScaleTo());
	}
}
