package NFP.Algorithms;

import seg.jUCMNav.nfp.generated.*;

public class ConvertResUnits {
	private double srcValue;
	private ResourceUnitKind srcUnit;
	private ResourceUnitKind convertedUnit;
	private double convertedValue = 0;

	public double getConvertedValue(double srcValue, ResourceUnitKind srcUnit,
			ResourceUnitKind convertedUnit) {
		this.srcValue = srcValue;
		this.srcUnit = srcUnit;
		this.convertedUnit = convertedUnit;
		if(this.srcUnit == this.convertedUnit) return this.srcValue;
		//Heure
		if(this.srcUnit==ResourceUnitKind.H | this.srcUnit==ResourceUnitKind.HOURS | 
				this.srcUnit==ResourceUnitKind.HEURES) {
			if(this.convertedUnit==ResourceUnitKind.SEC | this.convertedUnit==ResourceUnitKind.SECONDES | 
					this.convertedUnit==ResourceUnitKind.SECONDS) {
				this.convertedValue= this.srcValue*3600;
			}
			else return this.srcValue;
		}
		//seconde
		if(this.srcUnit==ResourceUnitKind.SEC | this.srcUnit==ResourceUnitKind.SECONDES | 
				this.srcUnit==ResourceUnitKind.SECONDS) {
			if(this.convertedUnit==ResourceUnitKind.H | this.convertedUnit==ResourceUnitKind.HOURS | 
					this.convertedUnit==ResourceUnitKind.HEURES) {
				this.convertedValue= this.srcValue/3600;
			}
			else return this.srcValue;
		}
		//Byte
		if(this.srcUnit==ResourceUnitKind.BIT| this.srcUnit==ResourceUnitKind.BYTE) {
			if(this.convertedUnit==ResourceUnitKind.MB | this.convertedUnit==ResourceUnitKind.MEGA_BYTE) {
				this.convertedValue= this.srcValue/1024;
			}
			else if(this.convertedUnit==ResourceUnitKind.GB| this.convertedUnit==ResourceUnitKind.GEGA_BYTE) {
				this.convertedValue= this.srcValue/1048576;
			}
			else return this.srcValue;
		}
		//MB
		if(this.srcUnit==ResourceUnitKind.MB| this.srcUnit==ResourceUnitKind.MEGA_BYTE) {
			if(this.convertedUnit==ResourceUnitKind.BIT | this.convertedUnit==ResourceUnitKind.BYTE) {
				this.convertedValue= this.srcValue*1024;
			}
			else if(this.convertedUnit==ResourceUnitKind.GB| this.convertedUnit==ResourceUnitKind.GEGA_BYTE) {
				this.convertedValue= this.srcValue/1024;
			}
			else return this.srcValue;
		}
		//GB
		if(this.srcUnit==ResourceUnitKind.GB| this.srcUnit==ResourceUnitKind.GEGA_BYTE) {
			if(this.convertedUnit==ResourceUnitKind.MB | this.convertedUnit==ResourceUnitKind.MEGA_BYTE) {
				this.convertedValue= this.srcValue*1024;
			}
			else if(this.convertedUnit==ResourceUnitKind.BIT| this.convertedUnit==ResourceUnitKind.BYTE) {
				this.convertedValue= this.srcValue*1048576;
			}
			else return this.srcValue;
		}

		return convertedValue;
	}
}
